Get short video audience

This endpoint is available for YouTube shorts and Instagram reels.

The refresh frequency for Instagram and YouTube short videos depends on the artist’s follower count on each platform:

  • less than 9 followers: every 15 days
  • between 10 and 149 followers: every 7 days
  • between 150 and 499 followers: every 5 days
  • between 500 and 4,999 followers: every 3 days
  • more than 5,000: every 2 days

TikTok short video data is updated monthly.

Need to get the short video ID? Use the Get short videos endpoint.

Request

GET /api/v2/artist/shorts/{identifier}/audience

Path parameters

Parameter Value Description Additional
identifier string A short/reel/video identifier Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD) Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Short video Audience collection response

ShortVideo Audience Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Short Video not found

Explore

A short/reel/video identifier

Optional period start date (format YYYY-MM-DD)

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out